﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace CricketScorebook.Model
{
    class Extra : RunsScored
    {
        protected ExtraType extraType;

        public Extra(Run runs, ExtraType extraType)
            : base(runs)
        {
            this.extraType = extraType;
        }

        public ExtraType getExtraType()
        {
            return extraType;
        }
    }

    class NoBall : RunsScored
    {
		protected DeliveryOutcome outcome;

        public NoBall(Run runs, DeliveryOutcome outcome)
            : base(runs)
        {
            this.outcome = outcome;
        }
    }
}
