﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace CricketScorebook.Model
{
    class Innings
    {
        protected Team battingTeam;
        protected List<Over> overs;

        public Innings(Team battingTeam)
        {
            this.battingTeam = battingTeam;
            overs = new List<Over>();
        }

        public Team getBattingTeam()
        {
            return battingTeam;
        }

        public List<Over> getOvers()
        {
            return overs;
        }

        public void addOver(Over over)
        {
            overs.Add(over);
        }
    }
}
