﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace CricketScorebook.Model
{
    class Match
    {
        protected Team homeTeam;
        protected Team awayTeam;
        protected DateTime date;
        protected Venue venue;
        protected List<Innings> innings;

        public Match(Team homeTeam, Team awayTeam, DateTime date, Venue venue)
        {
            this.homeTeam = homeTeam;
            this.awayTeam = awayTeam;
            this.date = date;
            this.venue = venue;
            innings = new List<Innings>();
        }

        public Team getHomeTeam()
        {
            return homeTeam;
        }

        public Team getAwayTeam()
        {
            return awayTeam;
        }

        public DateTime getDate()
        {
            return date;
        }

        public Venue getVenue()
        {
            return venue;
        }

        public List<Innings> getInnings()
        {
            return innings;
        }

        public void printScoresheet()
        {
            //TODO
        }
    }
}
