﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace CricketScorebook.Model
{
    class Over
    {
        protected Player bowler;
        protected List<Delivery> deliveries;

        public Over(Player bowler)
        {
            this.bowler = bowler;
            deliveries = new List<Delivery>();
            bowler.addOver(this);
        }

        public Player getBowler()
        {
            return bowler;
        }

        public List<Delivery> getDeliveries()
        {
            return deliveries;
        }

        public void addDelivery(Delivery delivery)
        {
            deliveries.Add(delivery);
        }
    }
}
