﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace CricketScorebook.Model
{
    abstract class RunsScored : DeliveryOutcome
    {
        protected Run runs;

        public RunsScored(Run runs)
        {
            this.runs = runs;
        }

        public int getRuns()
        {
            return (int)runs;
        }
    }

    class RunsOffTheBat : RunsScored
    {
        public RunsOffTheBat(Run runs)
            : base(runs) { }
    }
}
