﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using CricketScorebook.Model;

namespace CricketScorebook.Test
{
    class MatchTest
    {
        public MatchTest()
        {
        }

        public void runMatch()
        {
            // Create Team 1
            Team proteas = new Team("Riccarton Proteas");
            Player yugan = new Player(new Name("Yugan", "Yugaraja"));
            proteas.addPlayer(yugan);
            Player dion = new Player(new Name("Dion", "Jurac"));
            proteas.addPlayer(dion);
            Player ben = new Player(new Name("Ben", "Hilliam"));
            proteas.addPlayer(ben);
            Player chris = new Player(new Name("Chris", "Bradley"));
            proteas.addPlayer(chris);
            Player luke = new Player(new Name("Luke", "Tough"));
            proteas.addPlayer(luke);
            Player james = new Player(new Name("James", "Wong"));
            proteas.addPlayer(james);
            Player jevon = new Player(new Name("Jevon", "Carding"));
            proteas.addPlayer(jevon);
            Player geoff = new Player(new Name("Geoff", "Komen"));
            proteas.addPlayer(geoff);
            Player gerard = new Player(new Name("Gerard", "William"));
            proteas.addPlayer(gerard);
            Player billy = new Player(new Name("Billy", "Penfold"));
            proteas.addPlayer(billy);
            Player dan = new Player(new Name("Dan", "Skipper"));
            proteas.addPlayer(dan);

            // Create Teams 2
            Team proteas2 = new Team("Riccarton Proteas 2");
            Player yugan2 = new Player(new Name("Yugan", "Yugaraja"));
            proteas2.addPlayer(yugan2);
            Player dion2 = new Player(new Name("Dion", "Jurac"));
            proteas2.addPlayer(dion2);
            Player ben2 = new Player(new Name("Ben", "Hilliam"));
            proteas2.addPlayer(ben2);
            Player chris2 = new Player(new Name("Chris", "Bradley"));
            proteas2.addPlayer(chris2);
            Player luke2 = new Player(new Name("Luke", "Tough"));
            proteas2.addPlayer(luke2);
            Player james2 = new Player(new Name("James", "Wong"));
            proteas2.addPlayer(james2);
            Player jevon2 = new Player(new Name("Jevon", "Carding"));
            proteas2.addPlayer(jevon2);
            Player geoff2 = new Player(new Name("Geoff", "Komen"));
            proteas2.addPlayer(geoff2);
            Player gerard2 = new Player(new Name("Gerard", "William"));
            proteas2.addPlayer(gerard2);
            Player billy2 = new Player(new Name("Billy", "Penfold"));
            proteas2.addPlayer(billy2);
            Player dan2 = new Player(new Name("Dan", "Skipper"));
            proteas2.addPlayer(dan2);

            // Start a Match
            Match match = new Match(proteas, proteas2, DateTime.Now, new Venue("Hagley 1"));
            
            // First Innings
            Innings innningsA = new Innings(proteas);
            Over overA1 = new Over(dan2);
            overA1.addDelivery(new Delivery(yugan, new DotBall()));
            overA1.addDelivery(new Delivery(yugan, new RunsOffTheBat(Run.OneRun)));
            overA1.addDelivery(new Delivery(dion, new NonFielderDismissal(NonFielderDismissalType.Bowled)));
            overA1.addDelivery(new Delivery(ben, new FielderDismissal(FielderDismissalType.Caught, ben2)));
            overA1.addDelivery(new Delivery(chris, new Extra(Run.ThreeRuns, ExtraType.LegBye)));
            overA1.addDelivery(new Delivery(yugan, new RunsOffTheBat(Run.SixRuns)));
            innningsA.addOver(overA1);

            // Second Innings
            Innings innningsB = new Innings(proteas2);
            Over overB1 = new Over(billy);
            overB1.addDelivery(new Delivery(luke2, new RunsOffTheBat(Run.FourRuns)));
            overB1.addDelivery(new Delivery(luke2, new NonFielderDismissal(NonFielderDismissalType.LegBeforeWicket)));
            overB1.addDelivery(new Delivery(jevon2, new RunsOffTheBat(Run.TwoRuns)));
            overB1.addDelivery(new Delivery(jevon2, new FielderDismissal(FielderDismissalType.Stumped, chris)));
            overB1.addDelivery(new Delivery(geoff2, new FielderDismissal(FielderDismissalType.RunOut, gerard)));
            overB1.addDelivery(new Delivery(james2, new Extra(Run.FiveRuns, ExtraType.Wide)));
            overB1.addDelivery(new Delivery(james2, new NoBall(Run.OneRun, new DotBall())));
            overB1.addDelivery(new Delivery(james2, new DotBall()));

            // Complete Match
            match.printScoresheet();
        }
    }
}
