﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace CricketScorebook.Model
{
    abstract class DismissalType { }

    class FielderDismissalType : DismissalType
    {
        public static readonly FielderDismissalType Caught = new FielderDismissalType();
        public static readonly FielderDismissalType RunOut = new FielderDismissalType();
        public static readonly FielderDismissalType Stumped = new FielderDismissalType();

        private FielderDismissalType() { }
    }

    class NonFielderDismissalType : DismissalType
    {
        public static readonly NonFielderDismissalType Bowled = new NonFielderDismissalType();
        public static readonly NonFielderDismissalType LegBeforeWicket = new NonFielderDismissalType();
        public static readonly NonFielderDismissalType HitWicket = new NonFielderDismissalType();
        public static readonly NonFielderDismissalType HitTheBallTwice = new NonFielderDismissalType();
        public static readonly NonFielderDismissalType ObstructedTheField = new NonFielderDismissalType();
        public static readonly NonFielderDismissalType HandledTheBall = new NonFielderDismissalType();
        public static readonly NonFielderDismissalType TimedOut = new NonFielderDismissalType();

        private NonFielderDismissalType() { }
    }
}