﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace CricketScorebook.Model
{
    class Team
    {
        protected string name;
        protected HashSet<Player> players;

        public Team(string name)
        {
            this.name = name;
            players = new HashSet<Player>();
        }

        public string getName()
        {
            return name;
        }

        public HashSet<Player> getPlayers()
        {
            return players;
        }

        public void addPlayer(Player player)
        {
            players.Add(player);
        }
    }
}
